/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/


#ifndef LGUI_TREEMODELFILTER
#define LGUI_TREEMODELFILTER

#include "treemodel.h"

int lgui_tree_model_filter_new(lua_State* L);
int lgui_tree_model_filter_refilter(lua_State* L);
int lgui_tree_model_filter_set_visible_function(lua_State* L);
int lgui_tree_model_filter_set_visible_column(lua_State* L);

#endif

