#!/usr/bin/env lua

--[[
	Tests and checks for leaks in Boxed values. 
--]]

require("lgui")

local btn = lgui.ColorButton.new()
local color = lgui.Color.parse("#006688")

for i = 1, 70000 do
	btn:set("color", color)
	btn:get("color")
	assert(lgui.Color.tostring(color) == lgui.Color.tostring(btn:get("color")))
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
