/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_CONTAINER
#define LGUI_CONTAINER

#include "widget.h"

/* GtkContainer */

int lgui_container_add(lua_State* L);
int lgui_container_remove(lua_State* L);
int lgui_container_child_set(lua_State* L);
int lgui_container_child_get(lua_State* L);
int lgui_container_get_children(lua_State* L);
int lgui_container_set_reallocate_redraws(lua_State* L);

#endif
