/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_ICONVIEW
#define LGUI_ICONVIEW

#include "treeselection.h"

int lgui_icon_view_new(lua_State* L);
int lgui_icon_view_new_with_model(lua_State* L);
int lgui_icon_view_get_selected_items(lua_State* L);
int lgui_icon_view_get_path_at_pos(lua_State* L);
int lgui_icon_view_convert_widget_to_bin_window_coords(lua_State* L);
int lgui_icon_view_select_all(lua_State* L);
int lgui_icon_view_unselect_all(lua_State* L);

#endif
